Bug 1872125 - DeviceMechanicalProperties does not take effect when create localvolumeset instance from web console
Summary: DeviceMechanicalProperties does not take effect when create localvolumeset in...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Neha Gupta
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-25 06:52 UTC by Chao Yang
Modified: 2020-09-08 09:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6492 None closed Bug 1872125: Fixed DeviceMechanicalProperties field name for create local volume set flow 2020-09-07 02:45:11 UTC

Description Chao Yang 2020-08-25 06:52:40 UTC
Description of problem:
DeviceMechanicalProperties does not take effect when create localvolumeset instance from web console

Version-Release number of selected component (if applicable):
local-storage-operator.4.6.0-202008210209.p0
4.6.0-0.nightly-2020-08-23-214712

How reproducible:
Always

Steps to Reproduce:
1.Deploy local-storage-operator
2.Create localvolumeset from web console, choose disk type as "SSD/NVMe"
3.Check the localvolumeset yaml file, `DeviceMechanicalProperty` does not generated into the yaml file.
spec:
  deviceInclusionSpec:
    deviceTypes:
    - disk
    minSize: 0Ti
  nodeSelector:
    nodeSelectorTerms:
    - matchExpressions:
      - key: kubernetes.io/hostname
        operator: In
        values:
        - ip-10-0-157-81
        - ip-10-0-173-172
        - ip-10-0-205-197


Actual results:
`DeviceMechanicalProperty` does not generate when create localvolumeset instance from webconsole

Expected results:
`DeviceMechanicalProperty` should be added into localvolumeset instance from webconsole

Master Log:

Node Log (of failed PODs):

PV Dump:

PVC Dump:

StorageClass Dump (if StorageClass used by PV/PVC):

Additional info:

Comment 2 Santosh Pillai 2020-09-01 05:59:28 UTC
It should be `DeviceMechanicalProperties` instead of `DeviceMechanicalProperty`. Changes needed in UI, CSV-example, and openshift-enhancements.

Comment 5 Neha Gupta 2020-09-02 02:45:14 UTC
@chuffman@redhat.com This needs to be fixed in UI as well along with csv. Each should be tracked in separate bugzilla.

Comment 6 Santosh Pillai 2020-09-02 03:05:05 UTC
CSV issue is being tracked here - https://bugzilla.redhat.com/show_bug.cgi?id=1874695

Comment 9 Chao Yang 2020-09-08 09:06:41 UTC
oc get localvolumeset lvs-disk -o json | jq .spec.deviceInclusionSpec
{
  "deviceMechanicalProperties": [
    "NonRotational"
  ],
  "deviceTypes": [
    "disk"
  ],
  "minSize": "2Gi"
}


Note You need to log in before you can comment on or make changes to this bug.